import {getScore, rawtext, runcmd} from '../AbstractTools.js';
import { payment_systems_starts, payment_systems, banks, banks_json } from '../AxisBank/index.js';
import { obsf } from './bankinger.js'

export async function abstractSTRGtarget (target, scoreboard){
    let name = target.nameTag
    await runcmd(`scoreboard objectives add ${scoreboard} dummy "${scoreboard}"`)
    await runcmd(`scoreboard players add @a[name="${name}"] ${scoreboard} 0`)
    return Number(obsf(`$(${name})`)) == getScore(scoreboard, target)
}


// 1 2 3 4 5 6 7 8 9
// 2'147'483'647
// 1'bank'system'pin'pin'pin'pin'num'num'num

/**
 * Send raw text with one element
 * @param {target} target
 * @param {['full', 'bank', 'paym', 'card', 'pin', 'paym_full', 'bank_full']} type
 */
export function abstractSTRGbank(target, type='full'){
    let data = String(getScore('db.bank', target))
    if (type == 'full') {
        return data
    } else if (type == 'bank') {
        return Number(data[1])
    } else if (type == 'paym') {
        return Number(data[2])
    } else if (type == 'pin') {
        return `${data[3]}${data[4]}${data[5]}${data[6]}`
    } else if (type == 'card') {
        return `${payment_systems_starts[Number(data[2])]}${data[7]}${data[8]}${data[9]}`
    } else if (type == 'bank_full') {
        return `${banks[Number(data[1])]}`
    } else if (type == 'paym_full') {
        return `${payment_systems[Number(data[2])]}`
    } else if (type == 'bank_json') {
        return `${banks_json[Number(data[1])]}`
    } else if (type == 'card_3rd') {
        return `${data[7]}${data[8]}${data[9]}`
    }
}