import { runcmd, tellraw } from "../../AbstractTools.js";
import { iList, iListFunctions } from "../iCommand.js";
//import { PREFIX } from "../index.js";
export function iRUN(target, msg, name=target.nameTag) {
    tellraw(`{"rawtext":[{"translate":"js.icommand.description.list"}]}`, name);
    for (let i = 0; i != iList.length; i++) {
        let iDescription = iListFunctions[iList[i]]
        let iCommandName = iList[i]
        if(iDescription != 'NO_DATA' && !iDescription.startsWith('!')){
            tellraw(`{"rawtext":[{"text":"§a${iCommandName}§r - "},${iDescription}]}`, name);
        } else if(iDescription != 'NO_DATA') {
            tellraw(`{"rawtext":[{"text":"§a${iCommandName}§r - "},${iDescription.replace('!','')}]}`, `@a[name="${name}",tag=global_operator]`);
        }
    }
}