import {ActionFormData,ActionFormResponse,MessageFormData,ModalFormData} from "@minecraft/server-ui";
import {Dimension,Player,world} from "@minecraft/server";
import {runcmd, playsound, tellraw, getScore, hasTag} from '../AbstractTools.js'

if (getScore('debug','minigame') == 12){
world.events.beforeItemUse.subscribe(fw => {

    if(fw.item.typeId == 'mcxyz:flagw_team_selector'){
        let blue = []
        let red = []
        for (let i = 0; i != [...world.getPlayers()].length; i++){
            let currentTarget = [...world.getPlayers()][i]
            if (hasTag(currentTarget, 'flagw_blue')) {
                blue.push(currentTarget.nameTag)
            } else if (hasTag(currentTarget, 'flagw_red')) {
                red.push(currentTarget.nameTag)
            }
          }
        const flagw_teamselection = new ActionFormData()
          .title(`%xyz.minecrafter.bw.select_your_team.name`)
          .body(`%xyz.minecrafter.bw.select_your_team`)
          .button(`§1%color.blue\n${blue}`, "textures/ui/icons/team/blue.png")
          .button(`§4%color.red\n${red}`, "textures/ui/icons/team/red.png")
        
        let name = fw.source.nameTag
        let taregt = fw.source
        playsound('random.pop2', name)

        flagw_teamselection.show(taregt).then(gg =>{
            if(gg.selection == 0){
                runcmd(`tag "${name}" remove flagw_red`)
                runcmd(`tag "${name}" add flagw_blue`)
                tellraw(`{"rawtext":[{"translate":"xyz.minecrafter.teamconnect.blue","with":["${name}"]}]}`, '@a')
                playsound('block.end_portal_frame.fill', name)
            } else if(gg.selection == 1){
                runcmd(`tag "${name}" remove flagw_blue`)
                runcmd(`tag "${name}" add flagw_red`)
                tellraw(`{"rawtext":[{"translate":"xyz.minecrafter.teamconnect.red","with":["${name}"]}]}`, '@a')
                playsound('block.end_portal_frame.fill', name)
            }
        })
    }
})

world.events.tick.subscribe(() => {
    if (getScore('debug2', 'js_terminal') == 3) {
        let flags = [getScore('tnt_not_player', 'red_flag'), getScore('tnt_not_player', 'blue_flag')]
        console.warn(flags)
        if (flags[0] == flags[1]) {
            runcmd('scoreboard players set flag_controle tnt_not_player 0')
        } else if (flags[0] > flags[1]) {
            runcmd('scoreboard players set flag_controle tnt_not_player 1')
        } else if (flags[0] < flags[1]) {
            runcmd('scoreboard players set flag_controle tnt_not_player 2')
        }
        runcmd('scoreboard players set js_terminal debug2 0')
    }
})
}