import { runcmd, tellraw } from "../../../AbstractTools.js"
import { iArgument } from "../../iCommand.js"

export function iRUN(target, msg, name=target.nameTag) {
    let operator = iArgument(msg, 1)
    let value = iArgument(msg, 2)
    let selector = iArgument(msg, 3)
    let selector2 = iArgument(msg, 4)
    if (selector == undefined) {
        selector = name
    } else if (selector2 != undefined) {
        selector = `${selector} ${selector2}`
    }
    if (selector.indexOf('@') == -1) {
        selector = `"${selector}"`
    }
    tellraw(`{"rawtext":[{"text":"{\\"eesti_economy_termial\\":[{\\"${selector}\\":\\"${operator}${value}\\"}]"}]}`, name)
    runcmd(`execute as "${name}" at "${name}" run scoreboard players ${operator} ${selector} minecrafter.xyz ${value}`)
}