import { Dimension, Player, world } from "@minecraft/server";
import { abstractSTRGtarget } from "../AbsctractStorage/index.js";
import {runcmd, getScore, hasTag, tellraw, rawtext} from "../AbstractTools.js";

import './wand.js'
import './luckyann.js'

const id_menus = [ 1, 3, 9, 10, 13 ]

//function game(gameid){
//  //let gameid = getScore('debug', 'minigame')
//
//  if (id_menus.indexOf(gameid) != -1) {
//    import('./menus')
//  } else if (gameid == 12) {
//    import('./flagw_ui')
//  } else if (gameid == 11) {
//    import('./bw_ui')
//  } else if (gameid == 14) {
//    import('./pvp')
//  } else if (gameid == 17) {
//    import('./microgm')
//  }
//}

world.events.tick.subscribe(async () => {
    let gameid = getScore('debug', 'minigame')
  
    if (id_menus.indexOf(gameid) != -1) {
        import('./menus')
    } else if (gameid == 12) {
        import('./flagw')
    } else if (gameid == 11) {
        import('./bw_ui')
    } else if (gameid == 14) {
        import('./pvp')
    } else if (gameid == 17) {
        import('./microgm')
    }
    // НЕ МЕНЯТЬ ЦИКЛ, ПРИВОДИТ К КРАШУ ИГРЫ (при смене айди игры, при заходе или выходе игроков, при добавление, снятие добваление ЛЮБЫХ ТЕГОВ, при опе игрока и ищё около 10 ивентов).
    // ТАКЖЕ НЕ МЕНЯЙТЕ ТЕГИ, СЛЕТЯТ В МАССИВЕ == крышка
    let hasKing = false
    for (let i = 0; i != [...world.getPlayers()].length; i++){
        let currentTarget = [...world.getPlayers()][i]
        if (hasTag(currentTarget, 'global_operator_main')) hasKing = true
        if (currentTarget.isOp() && !hasTag(currentTarget, 'global_operator')) {
            runcmd(`tag "${currentTarget.nameTag}" add global_operator`)
        }
        if (hasTag(currentTarget, 'dev') && !(await abstractSTRGtarget(currentTarget, 'db.dev'))) {
            let candev = false
            for (let i = 0; i != [...world.getPlayers()].length; i++){if (hasTag([...world.getPlayers()][i], 'dev') && [...world.getPlayers()][i] != currentTarget) candev = true }
            if(!candev) {await runcmd(`tag "${currentTarget.nameTag}" remove dev`); await tellraw(`{"rawtext":[{"translate":"axiscube.error.noperm.dev","with":{"rawtext":[{"selector":"${currentTarget.nameTag}"}]}}]}`, currentTarget.nameTag)}
        }
    }
    if (!hasKing) {
        runcmd('tag @a add global_operator_main')
        rawtext('New main operator(s):')
        rawtext('@a[tag=global_operator_main]','@a','selector')
        hasKing = true
    }
})