import {Dimension,Player,world} from "@minecraft/server";
import {getScore, randomInt, runcmd, runcmd_at} from '../AbstractTools.js'


world.events.entityHit.subscribe(({ hitEntity, entity }) => {
    const target = entity
    const name = entity.nameTag
    if (entity && hitEntity && entity.typeId == "minecraft:player" && hitEntity.typeId == "mcxyz:lucky_block") {
        let l = randomInt(1, 88)
        let x = Math.floor(hitEntity.location.x)
        let y = Math.floor(hitEntity.location.y)
        let z = Math.floor(hitEntity.location.z)
        let hehName = name.toUpperCase().replace(/a/gmi, 'O').replace(/x/gmi, 'KS').replace(/x/gmi, 'KS')
        console.warn(l)
        if (l == 1) {
            let snowmenNames = ['Robertto', 'Anna']
            runcmd_at(name, `summon snow_golem "${snowmenNames[randomInt(0,1)]}" ${x} ${y} ${z}`)
        } else if (l == 2) {
            runcmd_at(name, `summon wolf "Wolfy" ${x} ${y} ${z}`)
            runcmd_at(name, `summon wolf "${hehName}${randomInt(100,999)}" ${x} ${y} ${z}`)
            runcmd_at(name, `give @s bone 8`)
        } else if (l == 3) {
            runcmd_at(name, `summon mcxyz:wand_fake_entity "${hehName}${randomInt(100,999)}" ${x} ${y} ${z}`)
        } else if (l == 4) {
            runcmd_at(name, `give @s diamond_pickaxe`)
        } else if (l == 5) {
            runcmd_at(name, `summon ender_crystal ${x} ${y} ${z}`)
        } else if (l == 6) {
            runcmd_at(name, `summon mcxyz:lucky_block ${x+2} ${y} ${z+2}`)
            runcmd_at(name, `summon mcxyz:lucky_block ${x-2} ${y} ${z-2}`)
            runcmd_at(name, `summon mcxyz:lucky_block ${x-2} ${y} ${z+2}`)
            runcmd_at(name, `summon mcxyz:lucky_block ${x+2} ${y} ${z-2}`)
        } else if (l == 7) {
            runcmd_at(name, `summon zombie ${x+2} ${y} ${z+2}`)
            runcmd_at(name, `summon zombie ${x-2} ${y} ${z-2}`)
            runcmd_at(name, `summon zombie ${x-2} ${y} ${z+2}`)
            runcmd_at(name, `summon zombie ${x+2} ${y} ${z-2}`)
        } else if (l == 8) {
            runcmd_at(name, `summon tnt ${x+2} ${y} ${z+2}`)
            runcmd_at(name, `summon tnt ${x-2} ${y} ${z-2}`)
            runcmd_at(name, `summon tnt ${x-2} ${y} ${z+2}`)
            runcmd_at(name, `summon tnt ${x+2} ${y} ${z-2}`)
        } else if (l == 9) {
            runcmd_at(name, `structure load "chest_hg" ${x} ${y} ${z}`)
        } else if (l == 10) {
            runcmd_at(name, `structure load "bw_item_baseball_bat" ${x} ${y} ${z}`)
        } else if (l == 11) {
            runcmd_at(name, `summon evocation_illager ${x} ${y} ${z} minecraft:start_celebrating`)
        } else if (l == 12) {
            runcmd_at(name, `summon vindicator ${x} ${y} ${z} minecraft:start_celebrating`)
        } else if (l == 13) {
            runcmd_at(name, `summon iron_golem ${x} ${y} ${z} minecraft:from_player`)
        } else if (l == 15) {
            runcmd_at(name, `setblock ${x} ${y} ${z} tnt`)
            runcmd_at(name, `summon lightning_bolt ${x} ${y} ${z}`)
        } else if (l == 16) {
            runcmd_at(name, `setblock ${x} ${y} ${z} diamond_block`)
            runcmd_at(name, `summon lightning_bolt ${x} ${y} ${z}`)
        } else if (l == 17) {
            runcmd_at(name, `setblock ${x} ${y} ${z} trapped_chest`)
            runcmd_at(name, `fill ${x} ${y-2} ${z} ${x} ${y-4} ${z} tnt`)
        } else if (l == 18) {
            runcmd_at(name, `setblock ${x} ${y} ${z} crafting_table`)
            runcmd_at(name, `give @s diamond 24`)
            runcmd_at(name, `playsound random.orb`)
        } else if (l == 19) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 ender_pearl 8`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=8] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} end_portal_frame 1`)
            runcmd_at(name, `playsound mob.endermen.scream`)
            
        } else if (l == 20) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 trident`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=1] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} prismarine 1`)
            
        } else if (l == 21) {
            for (let _ = 0; _ != 50; _++) runcmd_at(name, `summon tnt ${x} ${y} ${z}`)
            
        } else if (l == 22) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 tnt 8`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 12 flint_and_steel 1`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=9] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} tnt 1`)
        } else if (l == 23) {
            runcmd_at(name, `summon chicken ${x} ${y} ${z}`)
        } else if (l == 24) {
            runcmd_at(name, `replaceitem entity @s slot.armor.head 0 carved_pumpkin`)
        } else if (l == 25) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 mcxyz:fireball 8`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=9] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} tnt 1`)
        } else if (l == 26) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 mcxyz_test:inv_wand 1`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=9] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} ice 1`)
        } else if (l == 27) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 mcxyz_test:regen_wand 1`)
            runcmd('gamerule dotiledrops false')
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd('gamerule dotiledrops true')
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=9] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} ice 1`)
        } else if (l == 28) {
            runcmd_at(name, `summon warden`)
        } else if (l == 29) {
            runcmd_at(name, `fill ~1~-1~1 ~-1~2~-1 stone`)
            runcmd_at(name, `fill ~~~ ~~1~ air`)
        } else if (l == 30) {
            runcmd_at(name, `effect @s strength 20 10 true`)
            runcmd_at(name, `effect @s resistance 20 100 true`)
            runcmd_at(name, `effect @s regeneration 20 10 true`)
        } else if (l == 31) {
            runcmd_at(name, `structure load mystructure:sw_sword1 ${x} ${y} ${z}`)
        } else if (l == 32) {
            runcmd_at(name, `setblock ${x} ${y} ${z} trapped_chest`)
            runcmd_at(name, `replaceitem block ${x} ${y} ${z} slot.container 13 planks ${randomInt(32, 64)} ${randomInt(0,5)}`)
        } else if (l == 33) {
            runcmd_at(name, `structure load mystructure:sw_position1 ${x} ${y} ${z}`)
        } else if (l == 34) {
            runcmd_at(name, `structure load mystructure:sw_armor1 ${x} ${y} ${z}`)
        } else if (l == 35) {
            runcmd_at(name, `structure load mystructure:sw_pig ${x} ${y} ${z}`)
        } else if (l == 36) {
            runcmd_at(name, `setblock ${x} ${y} ${z} trapped_chest`)
            runcmd_at(name, `replaceitem block ${x} ${y} ${z} slot.container 13 stone ${randomInt(32, 64)}`)
        } else if (l == 37) {
            runcmd_at(name, `setblock ${x} ${y} ${z} anvil`)
        } else if (l == 38) {
            runcmd_at(name, `structure load mystructure:sw_cactus ${x} ${y} ${z}`)
        } else if (l == 39) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 mcxyz:levitation_item 3`)
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=3] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} ice 1`)
        } else if (l == 40) {
            runcmd_at(name, `setblock ${x} ${y+2} ${z} chest`)
            runcmd_at(name, `replaceitem block ${x} ${y+2} ${z} slot.container 13 mcxyz:levitation_item 3`)
            runcmd_at(name, `setblock ${x} ${y+2} ${z} air 0 destroy`)
            runcmd_at(name, `tp @e[type=item,x=${x},y=${y+2},z=${z},r=2,c=3] ${x} ${y+2} ${z}`)
            runcmd_at(name, `setblock ${x} ${y} ${z} ice 1`)
        } else if (l == 41) {
            runcmd_at(name, `setblock ${x} ${y} ${z} campfire`)
            runcmd_at(name, `summon pig ${x} ${y+20} ${z}`)
            runcmd_at(name, `summon pig ${x} ${y+20} ${z}`)
            runcmd_at(name, `summon pig ${x} ${y+20} ${z}`)
        } else if (l == 42) {
            runcmd_at(name, `structure load mystructure:sw_nolacky ${x} ${y} ${z}`)
        } else if (l == 43) {
            runcmd_at(name, `structure load mystructure:sw_log ${x} ${y} ${z}`)
        } else if (l == 44) {
            runcmd_at(name, `structure load mystructure:sw_farm ${x} ${y} ${z}`)
        } else if (l == 45) {
            runcmd_at(name, `structure load mystructure:sw_lighthouse ${x} ${y} ${z}`)
        } else if (l == 45) {
            runcmd_at(name, `setblock ${x} ${y} ${z} mcxyz:hg_upgrade`)
        } else if (l == 46) {
            runcmd_at(name, `structure load mystructure:sw_armor2 ${x} ${y} ${z}`)
        } else if (l == 47) {
            runcmd_at(name, `structure load mystructure:sw_armor3 ${x} ${y} ${z}`)
        } else if (l == 48) {
            runcmd_at(name, `structure load mystructure:sw_armor4 ${x} ${y} ${z}`)
        } else if (l == 49) {
            runcmd_at(name, `structure load mystructure:sw_armor5 ${x} ${y} ${z}`)
        } else if (l == 50) {
            runcmd_at(name, `structure load mystructure:sw_armor6 ${x} ${y} ${z}`)
        } else if (l == 51) {
            runcmd_at(name, `structure load mystructure:sw_armor7 ${x} ${y} ${z}`)
        } else if (l == 52) {
            runcmd_at(name, `structure load mystructure:sw_armor8 ${x} ${y} ${z}`)
        } else if (l == 53) {
            runcmd_at(name, `structure load mystructure:sw_snow ${x} ${y} ${z}`)
        } else if (l == 54) {
            runcmd_at(name, `structure load mystructure:sw_item1 ${x} ${y} ${z}`)
        } else if (l == 55) {
            runcmd_at(name, `structure load mystructure:sw_item2 ${x} ${y} ${z}`)
        } else if (l == 56) {
            runcmd_at(name, `structure load mystructure:sw_item3 ${x} ${y} ${z}`)
        } else if (l == 57) {
            runcmd_at(name, `structure load mystructure:sw_item4 ${x} ${y} ${z}`)
        } else if (l == 58) {
            runcmd_at(name, `structure load mystructure:sw_item5 ${x} ${y} ${z}`)
        } else if (l == 59) {
            runcmd_at(name, `structure load mystructure:sw_item6 ${x} ${y} ${z}`)
        } else if (l == 60) {
            runcmd_at(name, `structure load mystructure:sw_item7 ${x} ${y} ${z}`)
        } else if (l == 61) {
            runcmd_at(name, `structure load mystructure:sw_item8 ${x} ${y} ${z}`)
        } else if (l == 62) {
            runcmd_at(name, `structure load mystructure:sw_item9 ${x} ${y} ${z}`)
        } else if (l == 63) {
            runcmd_at(name, `structure load mystructure:sw_item10 ${x} ${y} ${z}`)
        } else if (l == 64) {
            runcmd_at(name, `structure load mystructure:sw_item11 ${x} ${y} ${z}`)
        } else if (l == 65) {
            runcmd_at(name, `structure load mystructure:sw_item12 ${x} ${y} ${z}`)
        } else if (l == 66) {
            runcmd_at(name, `structure load mystructure:sw_item_block1 ${x} ${y} ${z}`)
        } else if (l == 67) {
            runcmd_at(name, `structure load mystructure:sw_item_block2 ${x} ${y} ${z}`)
        } else if (l == 68) {
            runcmd_at(name, `structure load mystructure:sw_item_block3 ${x} ${y} ${z}`)
        } else if (l == 69) {
            runcmd_at(name, `structure load mystructure:sw_item_block4 ${x} ${y} ${z}`)
        } else if (l == 70) {
            runcmd_at(name, `structure load mystructure:sw_item_block5 ${x} ${y} ${z}`)
        } else if (l == 71) {
            runcmd_at(name, `structure load mystructure:sw_item_block6 ${x} ${y} ${z}`)
        } else if (l == 72) {
            runcmd_at(name, `structure load mystructure:sw_item_block7 ${x} ${y} ${z}`)
        } else if (l == 73) {
            runcmd_at(name, `setblock ${x} ${y} ${z} iron_block`)
            runcmd_at(name, `summon lightning_bolt ${x} ${y} ${z}`)
        } else if (l == 74) {
            runcmd_at(name, `structure load mystructure:sw_dropper ~~20~`)
            runcmd_at(name, `titleraw @s actionbar {"rawtext":[{"translate":"axiscube.microgm.mg.18.d"}]}`)
        } else if (l == 75) {
            runcmd_at(name, `structure load mystructure:sw_food1 ${x} ${y} ${z}`)
        } else if (l == 76) {
            runcmd_at(name, `structure load mystructure:sw_food2 ${x} ${y} ${z}`)
        } else if (l == 77) {
            runcmd_at(name, `structure load mystructure:sw_food3 ${x} ${y} ${z}`)
        } else if (l == 78) {
            runcmd_at(name, `structure load mystructure:sw_food4 ${x} ${y} ${z}`)
        } else if (l == 79) {
            runcmd_at(name, `structure load mystructure:sw_food5 ${x} ${y} ${z}`)
        } else if (l == 80) {
            runcmd_at(name, `structure load mystructure:sw_food6 ${x} ${y} ${z}`)
        } else if (l == 81) {
            runcmd_at(name, `structure load mystructure:sw_food7 ${x} ${y} ${z}`)
        } else if (l == 82) {
            runcmd_at(name, `structure load mystructure:sw_food8 ${x} ${y} ${z}`)
        } else if (l == 83) {
            runcmd_at(name, `structure load mystructure:sw_food9 ${x} ${y} ${z}`)
        } else if (l == 84) {
            runcmd_at(name, `structure load mystructure:sw_food10 ${x} ${y} ${z}`)
        } else if (l == 85) {
            runcmd_at(name, `structure load mystructure:sw_food11 ${x} ${y} ${z}`)
        } else if (l == 86) {
            runcmd_at(name, `structure load mystructure:sw_food12 ${x} ${y} ${z}`)
        } else if (l == 87) {
            runcmd_at(name, `structure load mystructure:sw_food13 ${x} ${y} ${z}`)
        } else if (l == 88) {
            runcmd_at(name, `structure load mystructure:sw_ice.stick ${x} ${y} ${z}`)
        }
        runcmd(`scoreboard players add "luckyblocks" stats 1`)
        runcmd(`event entity @e[type=mcxyz:lucky_block,c=1,r=2,x=${x},y=${y},z=${z}] mcxyz:be_anna`)
    }
})