/*
Created by Lndrs_ (Lndrs2224), Axisander
Description: Hp showing lib
©️ AbstractScripts 2022
https://github.com/AbstractScripts/
*/

import { world } from '@minecraft/server';
import {runcmd, getScore, playsound} from "../AbstractTools.js";
import { addBalance } from '../AxisBank/index.js';

let hp_full = '\ue1d4';
let hp_half = '\ue1d6';
let hp_empty = '\ue1d5';

world.events.entityHurt.subscribe(({ hurtEntity, damagingEntity, projectile/*, damage*/ }) => {
    if(hurtEntity && damagingEntity && damagingEntity.typeId == 'minecraft:player' && hurtEntity.typeId === 'minecraft:player'){
        if((!projectile && getScore('settings', 'hp_sword') == 1) || (projectile && getScore('settings', 'hp_bow') == 1)){
            let hp = Math.ceil(hurtEntity.getComponent('health').current);
            let hunter = damagingEntity.nameTag;
            let prey = hurtEntity.nameTag;
            let hp_msg = 'unknown';
            if (hp < 0) {
                hp = 0
            };
            if (hp % 2 != 0) { // half
                hp--;
                let hp_full_count = hp / 2;
                let hp_empty_count = 10 - 1 - hp_full_count;
                hp_msg = `${hp_full.repeat(hp_full_count)}${hp_half}${hp_empty.repeat(hp_empty_count)}`
            } else { // int
                let hp_full_count = hp / 2;
                let hp_empty_count = 10 - hp_full_count;
                hp_msg = `${hp_full.repeat(hp_full_count)}${hp_empty.repeat(hp_empty_count)}`
            }
            if (projectile) playsound('random.orb', hunter, 1, 0.6)
            let id = getScore('debug', 'minigame')
            runcmd(`title @a[name="${hunter}"] actionbar ${prey} | ${hp_msg}`)
            if (hp == 0 && id == 11 || id == 12 || id == 14) {
                runcmd(`title @a[name="${hunter}"] actionbar ${prey} | \ue115 §b(+5)`)
                addBalance(hunter, 5)
            }
        }
    }

})